org.eclipse.actf.model.ui.editor.browser

## Class WebBrowserNavigationEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.actf.model.ui.editor.browser.WebBrowserNavigationEvent

All Implemented Interfaces:
  Serializable

    public class WebBrowserNavigationEvent
    extends EventObject

A WebBrowserNavigationEvent includes target `IWebBrowserACTF` to handle user navigation

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WebBrowserNavigationEvent(Object source, IWebBrowserACTF browser)` Constructor of the class

### Method Summary

Methods
`IWebBrowserACTF` `getBrowser()` Get target `IWebBrowserACTF`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebBrowserNavigationEvent

    public WebBrowserNavigationEvent(Object source,
                             IWebBrowserACTF browser)

Constructor of the class

Parameters:
  `source` - event source
  `browser` - target `IWebBrowserACTF`

### Method Detail

#### getBrowser

    public IWebBrowserACTF getBrowser()

Get target `IWebBrowserACTF`

Returns:
  `IWebBrowserACTF`